<?php
function smarty_modifier_unspecialchars($string)
{
	$string = str_replace("&auml;","ä",  $string);
	$string = str_replace("&Auml;","Ä",  $string);
	$string = str_replace("&ouml;","ö",  $string);
	$string = str_replace("&Ouml;","Ö",  $string);
	$string = str_replace("&uuml;","ü",  $string);
	$string = str_replace("&Uuml;","Ü",  $string);
	$string = str_replace("&szlig;","ß",  $string);
	$string = str_replace(" &amp; "," & ",  $string);
	$string = str_replace("&euro;","€",  $string);
	$string = str_replace("&reg;","®",  $string);
	$string = str_replace("&copy;","©",  $string);
	return $string;
}
?>
